List Scans
curl --request GET \
--url https://rts-senthrex.slayers.tech/scans \
--header 'Authorization: Bearer <token>'import requests
url = "https://rts-senthrex.slayers.tech/scans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rts-senthrex.slayers.tech/scans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"scans": [
{}
],
"total_scans": 123,
"active_scans": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}API Reference
List scans
List scans and summary counts.
GET
/
scans
List Scans
curl --request GET \
--url https://rts-senthrex.slayers.tech/scans \
--header 'Authorization: Bearer <token>'import requests
url = "https://rts-senthrex.slayers.tech/scans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rts-senthrex.slayers.tech/scans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"scans": [
{}
],
"total_scans": 123,
"active_scans": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List scans
Returns an array of scans along withtotal_scans and active_scans.
Query parameters
limit(optional): max scans to return (default:50)status_filter(optional): filter scans by status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of scans to return
Filter by status
Response
Successful Response
